﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace Tidstagning
{
    class ResultList
    {

        System.IO.StreamWriter filehandle;
        System.IO.StreamWriter filehandle2;
        System.Windows.Forms.TextBox log;
        string racenumber;
        public ResultList(string filename, System.Windows.Forms.TextBox log_object)
        {
            filehandle = new System.IO.StreamWriter(filename +"_" + DateTime.Now.ToString("dd-MM-yyyy-hh-mm") + ".txt");
            filehandle2 = new System.IO.StreamWriter(filename + "_" + DateTime.Now.ToString("dd-MM-yyyy-hh-mm") + ".csv");
            log = log_object;
        }

        public void WriteHeader(string header) {
            this.racenumber = header;
            Write("----------------------------");
            Write(header);
            Write("Løb startet den: " + DateTime.Now.ToString());
            Write("----------------------------");

            WriteCSV("RaceNo,SailNo,Finish,Code,");

        }
        public void WriteComplete(Entry Boat) {
            Write("Fuldført! - " + Boat.Name + " - " + Boat.Completed_Time.ToString());
            WriteCSV(this.racenumber + "," +Boat.SailNumber + "," + Boat.Completed_Time.ToString("hh:mm:ss") + ", ,");
        }
        public void WriteDNF(Entry Boat) {
            Write("Udgået! - " + Boat.Name + " - " + Boat.Completed_Time.ToString());
            WriteCSV(this.racenumber + "," +Boat.SailNumber + "," + "00:00:00,DNC,");
        }

        public void Write(string textstring) {
            filehandle.WriteLine(textstring);
            log.AppendText(textstring + "\r\n");
            filehandle.Flush();
        }

        public void WriteCSV(string textstring)
        {
            filehandle2.WriteLine(textstring);
            filehandle2.Flush();
        }

    }
}
